#include "defines.h"

/* *************************************************************************/
// imported from example HttpServer_ConfigNetwork
#if defined(__ets__)

#include "AppSettings.h"

#if defined(HEARTBEAT_LED)
void LEDflash(void);
#endif

void on_AP_Index(HttpRequest &request, HttpResponse &response);

/* --------------------------------------------------------- */

void on_AP_IpConfig(HttpRequest &request, HttpResponse &response);
/* --------------------------------------------------------- */

void on_AP_File(HttpRequest &request, HttpResponse &response);
void on_AP_AjaxNetworkList(HttpRequest &request, HttpResponse &response);

void makeConnection();

void on_AP_AjaxConnect(HttpRequest &request, HttpResponse &response);
void start_AP_WebServer();

// Will be called when system initialization was completed
void start_AP_Servers();

// Will be called when WiFi station was connected to AP
void connectOk();

// Will be called when WiFi station timeout was reached
void connectFail();

void networkScanCompleted(bool succeeded, BssList list);

// END imported from example HttpServer_ConfigNetwork

/* --------------------------------------------------------- */

#endif /* defined(__ets__) */
